"use strict";

var _interopRequireDefault = require("@babel/runtime-corejs2/helpers/interopRequireDefault");

var _Object$defineProperty = require("@babel/runtime-corejs2/core-js/object/define-property");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports["default"] = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime-corejs2/helpers/defineProperty"));

var _objectSpread3 = _interopRequireDefault(require("@babel/runtime-corejs2/helpers/objectSpread"));

var _lodash = _interopRequireDefault(require("lodash.omitby"));

var _compose = _interopRequireDefault(require("recompose/compose"));

var _withStateHandlers = _interopRequireDefault(require("recompose/withStateHandlers"));

var _withHandlers = _interopRequireDefault(require("recompose/withHandlers"));

var isNil = function isNil(val) {
  return val === null || val === undefined;
};

var del = function del(fields, key) {
  var newFields = (0, _objectSpread3["default"])({}, fields);
  delete newFields[key];
  return newFields;
};

var withFields = function withFields() {
  var initialFields = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return function (Cmp) {
    return (0, _compose["default"])((0, _withStateHandlers["default"])(function (props) {
      return {
        fields: typeof initialFields === 'function' ? initialFields(props) : initialFields
      };
    }, {
      clearFields: function clearFields() {
        return function () {
          return {
            fields: {}
          };
        };
      },
      setFields: function setFields() {
        return function (payload) {
          return {
            fields: (0, _lodash["default"])(payload, isNil)
          };
        };
      },
      setField: function setField(_ref) {
        var fields = _ref.fields;
        return function (key, value) {
          return isNil(value) ? {
            fields: del(fields, key)
          } : {
            fields: (0, _objectSpread3["default"])({}, fields, (0, _defineProperty2["default"])({}, key, value))
          };
        };
      },
      deleteField: function deleteField(_ref2) {
        var fields = _ref2.fields;
        return function (key) {
          return {
            fields: del(fields, key)
          };
        };
      },
      mergeFields: function mergeFields(_ref3) {
        var fields = _ref3.fields;
        return function (payload) {
          return {
            fields: (0, _lodash["default"])((0, _objectSpread3["default"])({}, fields, payload), isNil)
          };
        };
      }
    }), (0, _withHandlers["default"])({
      field: function field(_ref4) {
        var fields = _ref4.fields;
        return function (key, isBoolean) {
          var _fields$key;

          return isBoolean ? !!fields[key] || fields[key] === '' : (_fields$key = fields[key]) !== null && _fields$key !== void 0 ? _fields$key : '';
        };
      },
      onChange: function onChange(_ref5) {
        var fields = _ref5.fields,
            setFields = _ref5.setFields;
        return function (_ref6) {
          var target = _ref6.target;
          var newFields = (0, _objectSpread3["default"])({}, fields);

          if (target.type === 'checkbox') {
            if (target.checked) {
              newFields[target.name] = target.value;
            } else {
              delete newFields[target.name];
            }
          } else if (target.value !== '') {
            newFields[target.name] = target.value;
          } else {
            delete newFields[target.name];
          }

          setFields((0, _lodash["default"])(newFields, isNil));
        };
      }
    }))(Cmp);
  };
};

var _default = withFields;
exports["default"] = _default;