"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs2/core-js/object/define-property");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports.asyncMapClearExceptPageReduction = exports.asyncMapDeleteReductionFromAsyncKeyProp = exports.asyncMapDeletePageReduction = exports.asyncMapDeleteReduction = exports.asyncMapSetCustomReductionFromProps = exports.asyncMapSetFailureReductionFromAsyncKeyProp = exports.asyncMapSetFailureReduction = exports.asyncMapSetSuccessReductionFromAsyncKeyProp = exports.asyncMapSetSuccessReduction = exports.asyncMapSetRequestReductionFromAsyncKeyProp = exports.asyncMapSetRequestReduction = exports.asyncMapSetTrueReductionFromAsyncKeyProp = exports.asyncMapSetPageTrueReduction = exports.asyncMapSetTrueReduction = exports.FAILURE = exports.SUCCESS = exports.REQUEST = void 0;

var _asyncMapOperations = require("./async-map-operations");

var REQUEST = 'REQUEST';
exports.REQUEST = REQUEST;
var SUCCESS = 'SUCCESS';
exports.SUCCESS = SUCCESS;
var FAILURE = 'FAILURE';
exports.FAILURE = FAILURE;

var asyncMapSetTrueReduction = function asyncMapSetTrueReduction(key) {
  return function (state) {
    return (0, _asyncMapOperations.asyncMapSetOperation)(state, key);
  };
};

exports.asyncMapSetTrueReduction = asyncMapSetTrueReduction;

var asyncMapSetPageTrueReduction = function asyncMapSetPageTrueReduction() {
  return function (state) {
    return (0, _asyncMapOperations.asyncMapSetOperation)(state, 'page');
  };
};

exports.asyncMapSetPageTrueReduction = asyncMapSetPageTrueReduction;

var asyncMapSetTrueReductionFromAsyncKeyProp = function asyncMapSetTrueReductionFromAsyncKeyProp(payload) {
  return function (state) {
    return (0, _asyncMapOperations.asyncMapSetOperation)(state, payload.asyncKey);
  };
};

exports.asyncMapSetTrueReductionFromAsyncKeyProp = asyncMapSetTrueReductionFromAsyncKeyProp;

var asyncMapSetRequestReduction = function asyncMapSetRequestReduction(key) {
  return function (state) {
    return (0, _asyncMapOperations.asyncMapSetOperation)(state, key, REQUEST);
  };
};

exports.asyncMapSetRequestReduction = asyncMapSetRequestReduction;

var asyncMapSetRequestReductionFromAsyncKeyProp = function asyncMapSetRequestReductionFromAsyncKeyProp(payload) {
  return function (state) {
    return (0, _asyncMapOperations.asyncMapSetOperation)(state, payload.asyncKey, REQUEST);
  };
};

exports.asyncMapSetRequestReductionFromAsyncKeyProp = asyncMapSetRequestReductionFromAsyncKeyProp;

var asyncMapSetSuccessReduction = function asyncMapSetSuccessReduction(key) {
  return function (state) {
    return (0, _asyncMapOperations.asyncMapSetOperation)(state, key, SUCCESS);
  };
};

exports.asyncMapSetSuccessReduction = asyncMapSetSuccessReduction;

var asyncMapSetSuccessReductionFromAsyncKeyProp = function asyncMapSetSuccessReductionFromAsyncKeyProp(payload) {
  return function (state) {
    return (0, _asyncMapOperations.asyncMapSetOperation)(state, payload.asyncKey, SUCCESS);
  };
};

exports.asyncMapSetSuccessReductionFromAsyncKeyProp = asyncMapSetSuccessReductionFromAsyncKeyProp;

var asyncMapSetFailureReduction = function asyncMapSetFailureReduction(key) {
  return function (state) {
    return (0, _asyncMapOperations.asyncMapSetOperation)(state, key, FAILURE);
  };
};

exports.asyncMapSetFailureReduction = asyncMapSetFailureReduction;

var asyncMapSetFailureReductionFromAsyncKeyProp = function asyncMapSetFailureReductionFromAsyncKeyProp(payload) {
  return function (state) {
    return (0, _asyncMapOperations.asyncMapSetOperation)(state, payload.asyncKey, FAILURE);
  };
};

exports.asyncMapSetFailureReductionFromAsyncKeyProp = asyncMapSetFailureReductionFromAsyncKeyProp;

var asyncMapSetCustomReductionFromProps = function asyncMapSetCustomReductionFromProps(payload) {
  return function (state) {
    return (0, _asyncMapOperations.asyncMapSetOperation)(state, payload.asyncKey, payload.asyncValue);
  };
};

exports.asyncMapSetCustomReductionFromProps = asyncMapSetCustomReductionFromProps;

var asyncMapDeleteReduction = function asyncMapDeleteReduction(key) {
  return function (state) {
    return (0, _asyncMapOperations.asyncMapDeleteOperation)(state, key);
  };
};

exports.asyncMapDeleteReduction = asyncMapDeleteReduction;

var asyncMapDeletePageReduction = function asyncMapDeletePageReduction() {
  return function (state) {
    return (0, _asyncMapOperations.asyncMapDeleteOperation)(state, 'page');
  };
};

exports.asyncMapDeletePageReduction = asyncMapDeletePageReduction;

var asyncMapDeleteReductionFromAsyncKeyProp = function asyncMapDeleteReductionFromAsyncKeyProp(payload) {
  return function (state) {
    return (0, _asyncMapOperations.asyncMapDeleteOperation)(state, payload.asyncKey);
  };
};

exports.asyncMapDeleteReductionFromAsyncKeyProp = asyncMapDeleteReductionFromAsyncKeyProp;

var asyncMapClearExceptPageReduction = function asyncMapClearExceptPageReduction() {
  return function (state) {
    return (0, _asyncMapOperations.asyncMapClearOperation)(state, 'page');
  };
};

exports.asyncMapClearExceptPageReduction = asyncMapClearExceptPageReduction;