"use strict";

var _pageDataOperations = require("./page-data-operations");

test('pageDataAddOperation', function () {
  expect((0, _pageDataOperations.pageDataAddOperation)({}, {
    a: 'a'
  })).toEqual({
    a: 'a'
  });
  expect((0, _pageDataOperations.pageDataAddOperation)({
    a: 'a',
    b: 'b'
  }, {
    b: 'X',
    c: 'c'
  })).toEqual({
    a: 'a',
    b: 'X',
    c: 'c'
  });
});
test('pageDataDeleteOperation', function () {
  var s = {
    foo: 'foo',
    bar: 'bar'
  };
  expect((0, _pageDataOperations.pageDataDeleteOperation)(s, 'foo')).toEqual({
    bar: 'bar'
  });
});
test('clearDataOperation', function () {
  var s = {
    foo: 'foo',
    bar: 'bar'
  };
  expect((0, _pageDataOperations.pageDataClearOperation)(s)).toEqual({});
});